Package csb :: Package apps :: Module csfrag :: Class MatchInfo

[frames] | no frames]

# Class MatchInfo

source code

    object --+
             |
            MatchInfo

Instance Methods

__cmp__(self, other) | source code

__init__(self, entry_id, qs, qe, ss, se, score) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, entry_id, qs, qe, ss, se, score)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)